%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  pplot
%global packver   0.9
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.9
Release:          1%{?dist}%{?buildtag}
Summary:          Chronological and Ordered p-Plots for Empirical Data

License:          GPL
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch

%description
Generates chronological and ordered p-plots for data vectors or vectors of
p-values. The p-plot visualizes the evolution of the p-value of a
significance test across the sampled data. It allows for assessing the
consistency of the observed effects, for detecting the presence of
potential moderator variables, and for estimating the influence of outlier
values on the observed results. For non-significant findings, it can
diagnose patterns indicative of underpowered study designs. The p-plot can
thus either back the binary accept-vs-reject decision of common
null-hypothesis significance tests, or it can qualify this decision and
stimulate additional empirical work to arrive at more robust and
replicable statistical inferences.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
